## kdeplasma-addons 5.21.4

=== debian/changelog ===
kdeplasma-addons (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:01 +0100

kdeplasma-addons (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:32:55 +0000

kdeplasma-addons (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:57 +0000

kdeplasma-addons (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:30 +0000

kdeplasma-addons (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:12 +0000

kdeplasma-addons (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update install files - systemload viewer applet was killed by
    upstream.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:13 +0000

kdeplasma-addons (4:5.20.5-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Do not build depend on the plasma-workspace binary package, as this
      is completely unneeded.
    - As we have many fewer architectures to build for than debian, use
      arch specific install files instead of copying files into packages
      via debian/rules.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Jan 2021 15:51:57 +0000

kdeplasma-addons (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:03:48 +0000

kdeplasma-addons (4:5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - As we have many fewer architectures to build for than debian, use
      arch specific install files instead of copying files into packages
      via debian/rules.

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Dec 2020 19:08:03 +0000

kdeplasma-addons (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:48:59 +0000

kdeplasma-addons (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * Update install files.
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:52:40 +0000
