## kdeplasma-addons 5.22.5

=== debian/changelog ===
kdeplasma-addons (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:46:15 +0200

kdeplasma-addons (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:19 +0100

kdeplasma-addons (4:5.22.3-0ubuntu2) impish; urgency=medium

  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 13 Jul 2021 13:26:55 +0100

kdeplasma-addons (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:43 +0100

kdeplasma-addons (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:51:54 +0100

kdeplasma-addons (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:22 +0100

kdeplasma-addons (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:19 +0100

kdeplasma-addons (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Update install files.
  * Recommend plasma-systemmonitor instead of ksysguard.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:52:56 +0100

kdeplasma-addons (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:52 +0100
