=== debian/control ===
--- 
+++ 
@@ -7,29 +7,29 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.72.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               kross-dev (>= 5.72.0~),
-               libkf5archive-dev (>= 5.72.0~),
-               libkf5config-dev (>= 5.72.0~),
-               libkf5coreaddons-dev (>= 5.72.0~),
-               libkf5declarative-dev (>= 5.72.0~),
-               libkf5holidays-dev (>= 1:5.72.0~),
-               libkf5i18n-dev (>= 5.72.0~),
-               libkf5iconthemes-dev (>= 5.72.0~),
-               libkf5kcmutils-dev (>= 5.72.0~),
-               libkf5kio-dev (>= 5.72.0~),
-               libkf5newstuff-dev (>= 5.72.0~),
-               libkf5notifications-dev (>= 5.72.0~),
-               libkf5plasma-dev (>= 5.72.0~),
-               libkf5purpose-dev (>= 5.70.0~),
-               libkf5runner-dev (>= 5.72.0~),
-               libkf5service-dev (>= 5.72.0~),
-               libkf5sonnet-dev (>= 5.72.0~),
-               libkf5unitconversion-dev (>= 5.72.0~),
-               libkf5widgetsaddons-dev (>= 5.70.0~),
-               libkf5windowsystem-dev (>= 5.72.0~),
-               libkf5xmlgui-dev (>= 5.70.0~),
+               kross-dev (>= 5.82.0~),
+               libkf5archive-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5holidays-dev (>= 1:5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5iconthemes-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5newstuff-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5plasma-dev (>= 5.82.0~),
+               libkf5purpose-dev (>= 5.82.0~),
+               libkf5runner-dev (>= 5.82.0~),
+               libkf5service-dev (>= 5.82.0~),
+               libkf5sonnet-dev (>= 5.82.0~),
+               libkf5unitconversion-dev (>= 5.82.0~),
+               libkf5widgetsaddons-dev (>= 5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.14.0~),
@@ -56,7 +56,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.19) | kwin (>= 4:5.19),
+         kwin-x11 (>= 4:5.22) | kwin (>= 4:5.22),
          plasma-framework (>= 5.74.0~),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -150,7 +150,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.74.0~),
-         plasma-workspace (>= 4:5.19~),
+         plasma-workspace (>= 4:5.22~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -164,7 +164,7 @@
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: ksysguard (>= 4:5.19~)
+Recommends: plasma-systemmonitor (>= 5.21.90~)
 Suggests: quota
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
