=== dataengines/CMakeLists.txt ===
add_subdirectory(comic)
add_subdirectory(potd)
add_subdirectory(konsoleprofiles)
