=== wallpapers/CMakeLists.txt ===
plasma_install_package(haenau org.kde.haenau wallpapers wallpaper)
plasma_install_package(hunyango org.kde.hunyango wallpapers wallpaper)
plasma_install_package(potd org.kde.potd wallpapers wallpaper)
