=== debian/changelog ===
kdeplasma-addons (4:5.24.4-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 4:5.12.4-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Apr 2018 14:07:17 +0000]
  * Remove armhf from qtwebengine architectures, we don't have 
    qtwebengine in Raspbian.

  [changes brought forward from 4:5.14.5.1-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Sat, 12 Oct 2019 14:12:46 +0000]
  * Remove armhf from architecture list of qml-module-qtwebengine dependency.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 08 Apr 2022 05:59:16 +0000

kdeplasma-addons (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:08:36 +0200

kdeplasma-addons (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:06:50 +0100

kdeplasma-addons (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Update list of installed files.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:22 +0100

kdeplasma-addons (4:5.23.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files (Closes: #1005626).

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Feb 2022 02:16:10 +0100

kdeplasma-addons (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 18:37:03 +0100

kdeplasma-addons (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:58:53 +0100

kdeplasma-addons (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:37:49 +0900

kdeplasma-addons (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kdeplasma-addons (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Tighten build-dependencies.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Oct 2021 23:35:49 +0200

kdeplasma-addons (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Update list of installed files.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

kdeplasma-addons (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:24 +0200

kdeplasma-addons (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 19:32:34 +0200

kdeplasma-addons (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:31 +0200

kdeplasma-addons (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

kdeplasma-addons (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

kdeplasma-addons (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

kdeplasma-addons (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:26 +0900
