=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.79.0~),
               gettext,
               kross-dev (>= 5.79.0~),
               libkf5archive-dev (>= 5.79.0~),
               libkf5config-dev (>= 5.79.0~),
               libkf5coreaddons-dev (>= 5.79.0~),
               libkf5declarative-dev (>= 5.79.0~),
               libkf5holidays-dev (>= 1:5.79.0~),
               libkf5i18n-dev (>= 5.79.0~),
               libkf5iconthemes-dev (>= 5.79.0~),
               libkf5kcmutils-dev (>= 5.79.0~),
               libkf5kio-dev (>= 5.79.0~),
               libkf5newstuff-dev (>= 5.79.0~),
               libkf5notifications-dev (>= 5.79.0~),
               libkf5plasma-dev (>= 5.79.0~),
               libkf5purpose-dev (>= 5.70.0~),
               libkf5runner-dev (>= 5.79.0~),
               libkf5service-dev (>= 5.79.0~),
               libkf5sonnet-dev (>= 5.79.0~),
               libkf5unitconversion-dev (>= 5.79.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.79.0~),
               libkf5xmlgui-dev (>= 5.79.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace (>= 4:5.24.2~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 i386 mipsel],
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
Rules-Requires-Root: no

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-x11 (>= 4:5.24) | kwin (>= 4:5.24),
         plasma-framework (>= 5.79.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework (>= 5.79.0~),
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 5
 This package contains additional Plasma 5 calendar plugins that are used in
 the Plasma desktop.
 .
 Currently, it only includes the astronomical plugin for Plasma's calendar.
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         plasma-framework (>= 5.79.0~),
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Characters (Special Characters)
  * Converter (Unit Converter)
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Media Wiki (Wikipedia, Wikitravel, Techbase, Userbase)
  * Spell Checker
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework (>= 5.79.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         libkf5purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-framework (>= 5.79.0~),
         plasma-workspace (>= 4:5.24~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kio,
         qml-module-org-kde-purpose,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qtwebengine [amd64 arm64 i386 mipsel],
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 4:5.24~)
Suggests: quota
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Activity pager
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic
  * Dictionary
  * Diskquota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping
  * Keyboard Indicartor
  * Kicker Application Dashboard
  * Konsole Profiles
  * Media Frame
  * Minimize all Windows
  * Nightcolor Control
  * Notes
  * Quicklaunch
  * Quick Share
  * Show Desktop
  * System Load Viewer
  * Timer
  * Userswitcher
  * Weather Report
  * Web Browser
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.
